#
# spec file for package kwatch (Version 2.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 --nosuseupdate
Name:         kwatch
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Log file viewer
Version:      2.0.1
Release:      142
Source0:      kwatch-2.0.1.tar.bz2
Patch0:       kwatch-2.0.1.dif

%description
Shows log files like 'tail -f'. As soon as the file changes
the changes will be shown.

Authors:
--------
    Ralph Weichert <Ralph.Weichert@physik.th-darmstadt.de>

SuSE series: k2de

%prep
%setup -n kwatch-2.0.1
%patch

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc HEAD README AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/kwatch
%dir /opt/kde2/share/icons/hicolor/16x16/apps
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/kwatch
/opt/kde2/share/applnk/Utilities/kwatch.desktop
/opt/kde2/share/apps/kwatch/kwatchui.rc
/opt/kde2/share/icons/hicolor/16x16/apps/kwatch.png
/opt/kde2/share/icons/hicolor/32x32/apps/kwatch.png
/opt/kde2/share/icons/locolor/16x16/apps/kwatch.png
/opt/kde2/share/icons/locolor/32x32/apps/kwatch.png
/opt/kde2/share/locale/de/LC_MESSAGES/kwatch.mo

%changelog -n kwatch
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
- disable documentation until kde 2.2
* Mon Apr 23 2001 - adrian@suse.de
- New version 2.0.1
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Sat Feb 03 2001 - adrian@suse.de
- New version 1.9.3
* Mon Jan 01 2001 - adrian@suse.de
- update to kwatch 1.9.1 (KDE 2)
* Sat May 27 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 - adrian@suse.de
- Spec file created from kwatch-0.3.tar.gz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Sun Nov 07 1999 - kukuk@suse.de
- Fix last patch for use of libungif
* Fri Nov 05 1999 - ro@suse.de
- use libungif for configure
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 - kettner@suse.de
- Recreated spec file with new autospec
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Wed Mar 17 1999 - autospec
- Recreated spec file from using autospec script by kettner@suse.de
